Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

GET /v1/automation/workflows

GET/v1/automation/workflows
Authorization
bearerAuthbearerAuthrequired
or
apiKeyAuthapiKeyAuthrequired
Query parameters
limitinteger<int32>
min 1 · max 100 · default: 20
offsetinteger<int32>
min 0 · default: 0
Responses
200OK
itemsWorkflowItem[] | nullrequired
Show properties
Array of WorkflowItem
active_version_idstring
created_atstring
descriptionstring
idstringrequired
namestringrequired
statusstringrequired
updated_atstring
metaPaginationMetarequired
Show properties
cursorstring
has_morebooleanrequired
limitinteger<int64>required
next_cursorstring
offsetinteger<int64>
totalinteger<int64>
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X GET "/v1/automation/workflows"
Response
{
  "items": [
    {
      "active_version_id": "string",
      "created_at": "string",
      "description": "string",
      "id": "string",
      "name": "string",
      "status": "string",
      "updated_at": "string"
    }
  ],
  "meta": {
    "cursor": "string",
    "has_more": true,
    "limit": 0,
    "next_cursor": "string",
    "offset": 0,
    "total": 0
  }
}